Bug 998134 - Conflicts with lib765 and libdsk / duplicates libraries
Conflicts with lib765 and libdsk / duplicates libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: joyce (Show other bugs)
rawhide
All Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 11:58 EDT by Michael Schwendt
Modified: 2013-09-06 21:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: joyce-2.2.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 21:24:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-17 11:58:26 EDT
# repoquery --whatprovides 'lib765.so.3()(64bit)'
lib765-0:0.4.2-5.fc19.x86_64
joyce-0:2.2.5-2.fc19.x86_64

# repoquery --whatprovides 'libdsk.so.3()(64bit)'
libdsk-0:1.2.1-7.fc19.x86_64
joyce-0:2.2.5-2.fc19.x86_64

  file /usr/lib64/libdsk.so.3 conflicts between attempted installs of joyce-2.2.5-2.fc19.x86_64 and libdsk-1.2.1-7.fc19.x86_64
  file /usr/lib64/lib765.so.3.1.2 conflicts between attempted installs of lib765-0.4.2-5.fc19.x86_64 and joyce-2.2.5-2.fc19.x86_64
Comment 1 Christopher Meng 2013-08-17 12:23:58 EDT
Good catch, big thanks.

The root cause is that lib765 and libdsk and Joyce are developed by the same people, and also I don't know these two libs are packaged. When packaging Joyce I think these two libraries are just internal wrappers for the main program, I don't know that they are standalone. Shocked now.

And this is a bundled library issue. I think I need to persuade upstream to not provide libs of Joyce.

I only have limited 3G now and my computer is broken, since this package just landed in fedora, maybe no users are using it.

I'll try to figure out the solution in the next week.
Comment 2 Michael Schwendt 2013-08-17 18:30:59 EDT
The additional findings from the automated test for Rawhide, it's not just the libs:

=> joyce-2.2.5-2.fc20.src.rpm
=> joyce-2.2.5-2.fc20.i686 in fedora-development-i386
  File conflict with: libdsk-tools-1.2.1-8.fc20.i686
     /usr/bin/apriboot
     /usr/bin/dskdump
     /usr/bin/dskform
     /usr/bin/dskid
     /usr/bin/dskscan
     /usr/bin/dsktrans
     /usr/bin/dskutil
     /usr/bin/md3serial
Comment 3 Fedora Update System 2013-08-28 08:53:35 EDT
joyce-2.2.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/joyce-2.2.6-1.fc18
Comment 4 Fedora Update System 2013-08-28 08:54:57 EDT
joyce-2.2.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/joyce-2.2.6-1.fc19
Comment 5 Fedora Update System 2013-08-28 17:28:32 EDT
Package joyce-2.2.6-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing joyce-2.2.6-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15455/joyce-2.2.6-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-06 21:24:24 EDT
joyce-2.2.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-06 21:30:13 EDT
joyce-2.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.